complexType "CreditEventNotificationRetracted"

Namespace: | http://www.fpml.org/FpML-5/reporting
Content: | complex, 3 attributes, 8 elements
Defined: | globally in fpml-credit-event-notification-5-5.xsd; see XML source
Includes: | definitions of 2 elements
Used: | at 1 location

Content Model Diagram

XML Representation Summary
<...
fpmlVersion | = | xsd:token
expectedBuild | = | xsd:positiveInteger
actualBuild | = | "7"
| >
Content: | header?, validation*, (parentCorrelationId?, correlationId?, sequenceNumber?)?, onBehalfOf[0..4]?, creditEventNotice?, party*
</...>

Content Model Elements (8):

  correlationId, creditEventNotice (in creditEventNotificationRetracted), header (defined in RequestMessage complexType), onBehalfOf (defined in OnBehalfOf.model group), | parentCorrelationId, party (in creditEventNotificationRetracted), sequenceNumber (defined in Sequence.model group), validation

All Direct / Indirect Based Elements (1):

  creditEventNotificationRetracted

Known Usage Locations

- As direct type of elements (1):
  creditEventNotificationRetracted

Annotation
A message type retracting a previous credit event notification.
Type Definition Detail

Type Derivation Tree Document (extension) Message (extension) RequestMessage (extension) NonCorrectableRequestMessage (extension) CreditEventNotificationRetracted

XML Source (w/o annotations (1); see within schema source)

<xsd:complexType name="CreditEventNotificationRetracted"> <xsd:complexContent> <xsd:extension base="NonCorrectableRequestMessage"> <xsd:sequence> <xsd:element minOccurs="0" name="creditEventNotice" type="CreditEventNoticeDocument"/> <xsd:element maxOccurs="unbounded" minOccurs="0" name="party" type="Party"/> </xsd:sequence> </xsd:extension> </xsd:complexContent> </xsd:complexType>

Content Element Detail (all declarations; defined within this component only; 2/8)
creditEventNotice

  Type: | CreditEventNoticeDocument, complex content

  XML Source (see within schema source)

  <xsd:element minOccurs="0" name="creditEventNotice" type="CreditEventNoticeDocument"/>

party

  Type: | Party, complex content

  XML Source (see within schema source)

  <xsd:element maxOccurs="unbounded" minOccurs="0" name="party" type="Party"/>

XML schema documentation generated with DocFlex/XML 1.8.6b2 using DocFlex/XML XSDDoc 2.5.1 template set. All content model diagrams generated by Altova XMLSpy via DocFlex/XML XMLSpy Integration.